## apr-util 1.5.2

=== debian/changelog ===
apr-util (1.5.2-1) unstable; urgency=low

  * New upstream release.
  * Ship find_apu.m4 in libaprutil1-dev. Closes: #699327

 -- Stefan Fritsch <sf@debian.org>  Sun, 05 May 2013 15:43:34 +0200
