## apr-util 1.5.4

=== debian/changelog ===
apr-util (1.5.4-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix unsatisfiable cross Build-Depends: (Closes: #840892)
    + Drop binutils from Build-Depends as it is build-essential.
    + Annotate Build-Depends: python with :any.

  [ Stefan Fritsch ]
  * Enable support for gdbm. Closes: #843206
  * Switch build-depends to default-libmysqlclient-dev. Closes: #845823

 -- Stefan Fritsch <sf@debian.org>  Fri, 09 Dec 2016 18:19:55 +0100

apr-util (1.5.4-2) unstable; urgency=medium

  [ Jean-Michel Vourgère ]
  * d/watch: Check gpg signature of upstream source.
  * Update Vcs-Browser: address.

  [ Stefan Fritsch ]
  * Bump standards version. No changes needed.
  * Backport support for openssl 1.1 from upstream 1.5.x branch.
    Closes: #828237

 -- Stefan Fritsch <sf@debian.org>  Thu, 14 Jul 2016 12:00:56 +0200

apr-util (1.5.4-1) unstable; urgency=medium

  * New upstream release
  * Remove dependencies on libpcre3-dev, libsqlite3-dev, libpq-dev,
    and libmysqlclient-dev in libaprutil1-dev. They are no longer
    necessary. Closes: #757140
  * Bump standards version. No changes needed.

 -- Stefan Fritsch <sf@debian.org>  Sat, 04 Oct 2014 14:19:46 +0200

apr-util (1.5.3-3) unstable; urgency=medium

  * Allow building with libmariadbclient-dev instead of
    libmysqlclient-dev. Closes: #759158
  * Update Vcs-Git URL in control file.

 -- Stefan Fritsch <sf@debian.org>  Mon, 25 Aug 2014 22:10:38 +0200

apr-util (1.5.3-2) unstable; urgency=medium

  * Fix FTBFS with make 4.0. Closes: #748369

 -- Stefan Fritsch <sf@debian.org>  Thu, 29 May 2014 16:52:08 +0200
