=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # The 'build' target needs special handling because there there is a directory
 # named 'build'.
 .PHONY: build
-build %:
+%:
 	dh $@ -B$(BUILDDIR) --parallel --with autotools_dev
 
 #
@@ -39,7 +39,7 @@
 	     --with-dbm=db$(DB_VERSION) \
 	     --with-sqlite3 \
 	     --with-pgsql=/usr \
-	     --without-gdbm \
+	     --with-gdbm \
 	     --without-sqlite2 \
 	     --with-berkeley-db \
 	     --with-mysql=/usr \
