## apr-util 1.6.0

=== debian/changelog ===
apr-util (1.6.0-2) unstable; urgency=medium

  * Switch off FULL_PATH_NAMES in doxygen to make builds reproducible.
  * Bump Standards-Version:
    - remove "Priority: extra" in control

 -- Stefan Fritsch <sf@debian.org>  Fri, 11 Aug 2017 17:49:25 +0200

apr-util (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * Remove Peter Samuelson from uploaders. Thanks for your work in the past.
    Closes: #852221

 -- Stefan Fritsch <sf@debian.org>  Fri, 04 Aug 2017 21:37:03 +0200
