=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
-Uploaders: Stefan Fritsch <sf@debian.org>, Peter Samuelson <peter@p12n.org>
+Uploaders: Stefan Fritsch <sf@debian.org>
 Build-Depends: debhelper (>> 9~), autoconf, autotools-dev, mawk, libldap2-dev, libexpat1-dev, libdb-dev, libgdbm-dev, libpcre3-dev, libapr1-dev (>> 1.4.8-2~), libsqlite3-dev, libpq-dev, python:any, default-libmysqlclient-dev, unixodbc-dev, doxygen, libssl-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-apache/apr-util.git
 Vcs-Git: git://anonscm.debian.org/pkg-apache/apr-util.git
 Homepage: http://apr.apache.org/
@@ -113,7 +113,6 @@
  This package contains development headers for APR util.
 
 Package: libaprutil1-dbg
-Priority: extra
 Architecture: any
 Section: debug
 Depends: libaprutil1 (= ${binary:Version}), ${misc:Depends}
